:root{
    --Dark-purple: #3A28DE;
    --Yellow: #FFE45E;
    --Pure-white: #FAFBFF;
    --Light-white:#E8E9FD;
    --Light-grey:#B5B5B5;
    --Black: #0F0F1E;
}
main{
    background-image:
    radial-gradient(circle at 10% 00%, rgb(58, 40, 222, 0.3), #0e0f1200 30%),
    radial-gradient(circle at 100% 0%, rgb(255, 228, 94, 0.3), #0e0f1200 30%);
  }
.contact-container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    background-color: var(--Light-white);
    padding: 50px;
    border-radius: 30px;
    justify-content: space-evenly;
    justify-items: center;
    align-content: space-evenly;

    width: 100%;
    margin-bottom: 100px;
    
}
  
  
.contact-box{
    display: flex;
    flex-direction: column;
    align-items: start;
    max-width: 215px;
    width: 215px; 
}
.contact-icon{
    height: 32px;
    width: auto;
    margin-bottom: 14px;
}
.hero-title{
    max-width: 800px;
    text-align: center;
    margin: 200px auto 140px auto;
}


@media only screen and (min-width: 480px) and (max-width: 800px) {

    .contact-box{
        display: flex;
        flex-direction: column;
        align-items: start;
        max-width: 215px;
        width: auto;
    }
    .contact-container{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-column-gap: 30px;
        grid-row-gap: 30px;
        background-color: var(--Light-white);
        padding: 50px;
        border-radius: 30px;  
        justify-items: start;
        width: 100%;
        margin-bottom: 100px;
        
    }
    #div1 { grid-area: 1 / 1 / 2 / 2; }
    #div2 { grid-area: 1 / 2 / 2 / 3; }
    #div3 { grid-area: 3 / 1 / 4 / 2; }
    #div4 { grid-area: 2 / 1 / 3 / 2; }
    #div5 { grid-area: 2 / 2 / 3 / 3; }
    #div6 { grid-area: 3 / 2 / 4 / 3; }

}




@media only screen and (min-width: 360px) and (max-width: 480px) {
    .contact-container{
        grid-template-columns: repeat(2, 1fr);
        padding: 30px;
    }
    #div1 { grid-area: 1 / 1 / 2 / 2; }
    #div2 { grid-area: 1 / 2 / 2 / 3; }
    #div3 { grid-area: 3 / 1 / 4 / 2; }
    #div4 { grid-area: 2 / 1 / 3 / 2; }
    #div5 { grid-area: 2 / 2 / 3 / 3; }
    #div6 { grid-area: 3 / 2 / 4 / 3; }

    .contact-box{
        display: flex;
        flex-direction: column;
        align-items: start;
        max-width: 210px;
        width: auto;
    }
  
}

@media only screen and (max-width: 360px) {
    .contact-container{
        grid-template-columns: repeat(1, 1fr);
        padding: 20px;
    }
}
